import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  path: z.literal(true).optional(),
  isActive: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const BackupDestinationCountAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationCountAggregateInputType>;
export const BackupDestinationCountAggregateInputObjectZodSchema = makeSchema();
